Bug 813739 - nping: man: typo: --md instead of --mf
nping: man: typo: --md instead of --mf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nmap (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
Eduard Benes
: ManPageChange, Patch
Depends On: 813734
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 06:48 EDT by Patrik Kis
Modified: 2014-06-13 06:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: nmap-6.25-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 813734
Environment:
Last Closed: 2014-06-13 06:19:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2012-04-18 06:48:51 EDT
+++ This bug was initially created as a clone of Bug #813734 +++

Created attachment 578311 [details]
patch oh nping man page

Description of problem:
The man page of nping described --md option as "More Fragments" instead of --mf.

Version-Release number of selected component (if applicable):
nmap-5.51-1.el6.x86_64

How reproducible:

--- nping.1	2012-04-18 12:30:36.823507000 +0200
+++ nping.1.fixed	2012-04-18 12:31:17.085444000 +0200
@@ -1098,7 +1098,7 @@
 Sets the Don\'t Fragment bit in sent packets\&. When an IP datagram has its DF flag set, intermediate devices are not allowed to fragment it so if it needs to travel across a network with a MTU smaller that datagram length the datagram will have to be dropped\&. Normally an ICMP Destination Unreachable message is generated and sent back to the sender\&.
 .RE
 .PP
-\fB\-\-md\fR (More Fragments) .\" --mf (Nping option)
+\fB\-\-mf\fR (More Fragments) .\" --mf (Nping option)
 .RS 4
 Sets the More Fragments bit in sent packets\&. The MF flag is set to indicate the receiver that the current datagram is a fragment of some larger datagram\&. When set to zero it indicates that the current datagram is either the last fragment in the set or that it is the only fragment\&.
 .RE
Comment 1 Lukas "krteknet" Novy 2013-05-23 11:43:22 EDT
Current package version in rhel7 is 

nmap-6.25-2.el7

which fails verification:

# man nping | grep mf
             --mf                             : Set More Fragments flag.
# man nping | grep md
       --md (More Fragments) .
Comment 2 Lukas "krteknet" Novy 2013-05-24 13:30:27 EDT
verified for  nmap-6.25-3.el7

# man nping | grep mf
             --mf                             : Set More Fragments flag.
       --mf (More Fragments) .
# man nping | grep md
Comment 4 Ludek Smid 2014-06-13 06:19:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.